Update business's plans
curl --request POST \
--url https://api.partoo.co/v2/business/{business_id}/plans \
--header 'Content-Type: application/json' \
--header 'x-APIKey: <api-key>' \
--data '
{
"plans": [
{
"name": "presence_management",
"enabled": true,
"expiration_date": "2026-01-01"
},
{
"name": "review_management",
"enabled": false
}
]
}
'import requests
url = "https://api.partoo.co/v2/business/{business_id}/plans"
payload = { "plans": [
{
"name": "presence_management",
"enabled": True,
"expiration_date": "2026-01-01"
},
{
"name": "review_management",
"enabled": False
}
] }
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
plans: [
{name: 'presence_management', enabled: true, expiration_date: '2026-01-01'},
{name: 'review_management', enabled: false}
]
})
};
fetch('https://api.partoo.co/v2/business/{business_id}/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"business_id": "5409c35a97bbc544d8e26737",
"status": "success"
}{
"errors": {
"json": {}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Subscriptions
Update business's plans
This endpoint lets you update the plans of a business.
You need to be a Provider to access this endpoint.
⚠️You need to send all the plans, those not sent will be removed. We advise you to call the GET endpoint first. ⚠️
POST
/
business
/
{business_id}
/
plans
Update business's plans
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Business id.
It may be replaced by c-{code} where code is the store code, which should be unique per organization. This can be used only for ORG_ADMIN, GROUP_MANAGER and BUSINESS_MANAGER users.
Body
application/json
The exhaustive list of the business' plans.
Show child attributes
Show child attributes
Example:
[
{
"name": "presence_management",
"enabled": true,
"expiration_date": "2026-01-01"
},
{
"name": "review_management",
"enabled": false
}
]Was this page helpful?
⌘I